<!-- Header-->
<div mat-dialog-title>
    <h1>Crear grupo</h1>
    <button (click)="close()" mat-icon-button aria-label="Close create-group dialog">
        <mat-icon>close</mat-icon>
    </button>
</div>
<!-- Content-->
<div mat-dialog-content>
    <form [formGroup]="form" (ngSubmit)="onSubmit()" id="create-group-form">
        <mat-form-field appearance="fill" id="name-form-field" class="mat-form-field-light">
            <mat-label>Nombre del grupo</mat-label>
            <input matInput placeholder="Nombre" formControlName="name" required>
        </mat-form-field>
    </form>

    
    <mat-card *ngIf="products$ | async as products" class="product-list-card group-products">

        <z2h-product-list [dataSource]="products" [editMode]="true" (massChanged)="onMassChange($event)">
        </z2h-product-list>

        <summary class="summary-grid-item" [data]="products"></summary>

    </mat-card>
</div>

<div mat-dialog-actions>
    <button mat-flat-button color="accent" type="submit" [disabled]="!form.valid" form="create-group-form"
        cdkFocusInitial>{{ 'actions.create' | translate}}</button>
</div>